# Module `tag`

awesome tag API

### Info:

- Author: Julien Danjou <julien@danjou.info>
- Copyright: 2008-2009 Julien Danjou

## Functions

clients (clients_table) | Get or set the clients attached to this tag.
connect_signal (name, func) | Add a signal.
disconnect_signal (name, func) | Remove a signal.
emit_signal (name, ...) | Emit a signal.
instances () | Get the number of instances.

## Tables

tag | Tag object.

## Functions

clients (clients_table)
  Get or set the clients attached to this tag.

  ### Parameters:

  - clients_table None or a table of clients to set as being tagged with this tag.

  ### Returns:

  A table with the clients attached to this tags.
connect_signal (name, func)
  Add a signal.

  ### Parameters:

  - name A signal name.
  - func A function to call when the signal is emitted.
disconnect_signal (name, func)
  Remove a signal.

  ### Parameters:

  - name A signal name.
  - func A function to remove.
emit_signal (name, ...)
  Emit a signal.

  ### Parameters:

  - name A signal name.
  - ... Various arguments, optional.
instances ()
  Get the number of instances.

  ### Returns:

  The number of tag objects alive.

## Tables

tag
  Tag object.

  ### Fields:

  - name Tag name.
  - selected True if the tag is selected to be viewed.
  - activated True if the tag is active and can be used.

generated by LDoc 1.3